Method: advertisers.negativeKeywordLists.create

  • A new negative keyword list can be created using an HTTP POST request to the specified URL, including the advertiser ID in the path.

  • The request body must contain an instance of NegativeKeywordList.

  • Upon successful creation, the response body will contain the newly created NegativeKeywordList.

  • Creating a negative keyword list requires authorization using the https://www.googleapis.com/auth/display-video OAuth scope.

Creates a new negative keyword list. Returns the newly created negative keyword list if successful.

HTTP request

POST https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}/negativeKeywordLists

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
advertiserId

string (int64 format)

Required. The ID of the DV360 advertiser to which the negative keyword list will belong.

Request body

The request body contains an instance of NegativeKeywordList.

Response body

If successful, the response body contains a newly created instance of NegativeKeywordList.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.